import { NextResponse } from "next/server";
import { db } from "@/app/lib/db";
import { getUserFromSession } from "@/app/lib/auth";

export async function GET(req) {
    const { user } = await getUserFromSession();

    if (!user) {
        return NextResponse.json({ error: 'Vous devez être connecté pour accéder à cette ressource' }, { status: 401 });
    }

    const [rows] = await (await db).query('SELECT DISTINCT FOLDER FROM gares WHERE USER_ID = ?', [user.USER_ID]);


    if (rows.length === 0) {
        return NextResponse.json({ error: 'Il n\'existe aucun dossier ou vous n\'aves pas le droit d\'accéder à cette ressource !' }, { status: 404 });
    }

    return NextResponse.json(rows);
}